# Users' needs for a digital smoking cessation application and how to address them: A mixed-methods study
## Figures of Code Frequencies

**Author**: Nele Albers
**Date**: June 2022


This file is meant to guide you through the steps needed to reproduce our Figure 2 and Figure S9 of the paper that depict the code frequencies.


### Steps to Reproduce Figures

The reproduction of our code is based on Docker and Jupyter Notebook. Take the following steps:
1. Make sure that you have Docker installed. You can check whether you do by running `docker -v`.
2. Now choose from the following two options:
   - In the directory of this README-file, build the Docker image via `docker build . -t gbna4/user_needs_paper_code_frequencies`, or
   - In the directory of this README-file, pull the Docker image from Dockerhub via `docker pull gbna4/user_needs_paper_code_frequencies`. 
3. Run the Docker container via `docker run -p 8888:8888 -e JUPYTER_ENABLE_LAB=yes -v <this_working_directory>:/home/jovyan/work gbna4/user_needs_paper_code_frequencies`, where `<this_working_directory>` is the path to the directory that this README-file is in.
4. Go to one of the links presented in the terminal upon running the Docker container to access Jupyter Notebook.
5. Open the "work"-folder in Jupyter Notebook.
6. Open the "code_frequencies.ipynb"-workbook in the "work"-folder. This workbook will allow you to reproduce Figure 2 and Figure S9 from the paper.


### Explanation of Files

This directory contains the following files:
- Data: pre-processed data required for this analysis,
- Figures: contains Figure 2 and Figure S9 of the paper as created by us,
- code_frequencies.ipynb: workbook for reproducing Figure 2 and Figure S9 of the paper,
- Dockerfile: Dockerfile for building the Docker image yourself, and
- README.md/README.pdf: this README-file.
