# Users' needs for a digital smoking cessation application and how to address them: A mixed-methods study
## Figure of Correlations between User Characteristics and Activity Efforts and Interaction Scenario Ratings


**Author**: Nele Albers
**Date**: June 2022


This file is meant to guide you through the steps needed to reproduce our reported Spearman correlations between user characteristics on the one hand and activity efforts and interaction scenario group ratings on the other hand.

The results that will be reproduced are the ones shown in Figure 4 from the paper.

To reproduce our Bayesian analyses of these correlations (Table 1), please navigate to the folder "Bayesian_analysis" and follow the instructions in the README-file therein.


### Steps to Reproduce Analysis

The reproduction of our code is based on Docker and Jupyter Notebook. Take the following steps:
1. Make sure that you have Docker installed. You can check whether you do by running `docker -v`.
2. Now choose from the following 2 options:
   - In the directory of this README-file, build the Docker image via `docker build . -t gbna4/user_needs_paper_correlations`, or
   - In the directory of this README-file, pull the Docker image from Dockerhub via `docker pull gbna4/user_needs_paper_correlations`. 
3. Run the Docker container via `docker run -p 8888:8888 -e JUPYTER_ENABLE_LAB=yes -v <this_working_directory>:/home/jovyan/work gbna4/user_needs_paper_correlations`, where `<this_working_directory>` is the path to the directory that this README-file is in.
4. Go to one of the links presented in the terminal upon running the Docker container to access Jupyter Notebook.
5. Open the "work"-folder in Jupyter Notebook.
6. Open the "correlations.ipynb"-workbook in the "work"-folder. This workbook will allow you to reproduce our Figure 4 from the paper.


### Explanation of Files

This directory contains the following files:
- Bayesian_analysis: code for reproducing our Bayesian analyses of the correlations (Table 1),
- Data: pre-processed data required for this analysis,
- Figures: contains Figure 4 from the paper as created by us,
- correlations.ipynb: workbook for reproducing Figure 4 from the paper that shows Spearman correlations between user characteristics on the one hand and activity efforts and interaction scenario group ratings on the other hand,
- Dockerfile: Dockerfile for building the Docker image yourself, and
- README.md/README.pdf: this README-file.
