# Users' needs for a digital smoking cessation application and how to address them: A mixed-methods study
## Overview of Data


**Author**: Nele Albers

**Date**: March 2022


This folder explains the data we used for our analysis. For an overview of the non-explanatory files in this folder, see the file "_Explanation_of_Data_Files.xlsx."

There are 5 types of files in this folder:
   1) Data files with participant data:
   
      - For instance, the file "pre_questionnaire_anonym.csv" contains data collected in the pre-questionnaire.
      
	  - All data files have been anonymized. There is a new identifier called "rand_id" that can be used to identify participants across data files.

   2) Explanatory files for the data files with participant data:
   
      - For each data file with participant data, there is a corresponding file that explains the columns in the data file. 
      
	  - For example, the file "pre_questionnaire_data_explanation.xlsx" explains the columns in the data file "pre_questionnaire_anonym.csv."

   3) Code for preprocessing data files:
   
      - We do not provide all anonymized collected data. For example, we do not provide data when participants failed too many attention checks in a study component and were thus not paid for it.
      
	  - In case of the session and post-questionnaire data, we provide code that shows how the original anonymized data was preprocessed.

   4) Workbooks for coding
   
      - We provide three files that show the codes assigned by the two coders.

   5) List of codes
   
      - The file "All_codes.xlsx" contains all codes to allow processing the coded data more easily.